Skip to main content
POST
/
v2
/
session
/
apps
/
{appID}
/
config
/
migration
Create migration config
curl --request POST \
  --url https://api.prelude.dev/v2/session/apps/{appID}/config/migration \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "session_validation_url": "<string>"
}
'
{
  "config": {
    "session_validation_url": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

appID
string
required

The id of the app the request refers to. An application's unique identifier.

Examples:

"54e9ujn"

"fvua38g"

Body

application/json
session_validation_url
string<uri>
required

HTTPS endpoint on your side used by Prelude Session to validate legacy sessions during the migration window.

Example:

"https://api.example.com/session/validate"

Response

Created

config
object
required